body {
  font-family: "Calibri", sans-serif;
  background-attachment: fixed;
  margin: 0;
  background-color: black;
  color: white;
  overflow-x: hidden;
}

a {
  color: white;
}

@media (min-width: 979px) {
  /* Large desktop */
  .blurb {
    margin-left: 15%;
    margin-right: 15%;
    /* backdrop-filter: blur(3px); */
  }

  .container img {
    max-height: 600px;
  }

  .parallax {
    height: 600px;
  }

  div.fullBox {
    left: -21.5%;
  }
}

@media (min-width: 768px) and (max-width: 979px) {
  /* Portrait tablet to landscape and desktop */
  .blurb {
    margin-left: 8%;
    margin-right: 8%;
  }

  .container img {
    max-height: 600px;
  }

  .parallax {
    height: 600px;
  }

  div.fullBox {
    left: -9.5%;
  }
}

@media (max-width: 767px) {
  /* Landscape phone to portrait tablet */
  .blurb {
    margin-left: 1%;
    margin-right: 1%;
  }

  .container img {
    max-height: 400px;
  }

  .parallax {
    height: 400px;
  }

  div.fullBox {
    left: -1%;
  }
}

.container {
  margin-top: 4em;
  margin-bottom: 1em;
  font-size: 1.35em;
}

h1,
h2,
h3 {
  margin: 20px 0;
}

.container img {
  width: 100%;
  object-fit: contain;
  border-radius: 5px;
}

.container p img {
  float: right;
  width: fit-content;
}

.parallax {
  background-attachment: fixed !important;
  background-position: center !important;
  background-size: cover !important;
  background: no-repeat 50% 50%;
}

.bg {
  position: fixed;
  top: 0;
  left: 0;
  z-index: -1;
  width: 100%;
  height: 100%;
}

.bg canvas {
  vertical-align: bottom;
  display: block;
}

h2 button {
  margin: 3px 15px;
  height: 35px;
  font-size: 24px;
  font-weight: 500;
  font-family: "Calibri";
  border-radius: 5px;
  background: transparent;
  color: white;
  border: 2px solid white;
  transition-duration: 0.15s;
  outline: none;
}

h2 button:hover {
  background: white;
  color: black;
}

h2 button:active {
  background: white;
  color: black;
  transform: scale(0.95);
}

button {
  border-radius: 5px;
  padding: 5px;
  background: none;
  border: none;
  transition-duration: 0.1s;
  outline: none;
}

button:hover {
  background-color: rgba(128, 128, 128, 0.25);
}

button:active {
  background-color: rgba(76, 76, 76, 0.25);
}
.parallax {
  min-height: 400px;
  background: transparent;
}

p.credits {
  margin-top: 25px;
  text-align: center;
  font-size: 1em;
  color: rgba(255, 255, 255, 0.65);
  user-select: text;
}

div.cardContainer {
  display: flex;
  flex-wrap: wrap;
  max-width: 100%;
  justify-content: center;
}

div.cardContainer.atStart {
  justify-content: start;
}

div.cardContainer div.card {
  border: 1px solid;
  flex-grow: 1;
  margin-right: 25px;
  margin-bottom: 25px;
  max-width: 200px;
  width: 200px;
  height: 300px;
  background: var(--bg);
  padding: 15px;
  background-size: cover;
  background-position: center;
  transition-duration: 0.1s;
  background-blend-mode: darken;
  user-select: none;
  background-color: rgba(0, 0, 0, 0.25);
}

div.cardContainer div.card:hover {
  box-shadow: 0 0 10px 10px white;
  background-color: rgba(0, 0, 0, 0.45);
}

div.cardContainer div.card:active {
  box-shadow: 0 0 10px 5px white;
  background-color: rgba(0, 0, 0, 0.6);
}

div.cardContainer div.card p.name {
  margin: 0;
}

div.cardContainer div.card p.desc {
  opacity: 0;
  transition-duration: 0.15s;
  margin: 0;
  font-size: 14px;
}

div.cardContainer div.card:hover p.desc,
div.cardContainer div.card:active p.desc {
  opacity: 1;
}

div.cardContainer div.card.open {
  position: fixed;
  max-width: none;
  width: calc(100vw - 52px);
  height: calc(100vh - 92px);
  left: 0;
  top: 40px;
}

div.fullBox {
  position: relative;
  border-top: 1px solid #ffffff52;
  border-bottom: 1px solid #ffffff52;
  padding-top: 5px;
  padding-bottom: 5px;
  width: 100vw;
  margin-bottom: 100px;
  /*     height: calc(100vw * 1080 / 1920 - 15px); */
  background-size: cover;
  background-position: center;
  display: flex;
  justify-content: center;
  flex-direction: column;
  background-color: #0000006e;
  background-blend-mode: darken;
}

div.fullBox p {
  text-align: center;
  vertical-align: middle;
  padding: 0 50px;
}

div.fullBox.first {
  background: #0b0f15;
}

div.fullBox.second {
  background-image: url("../img/homeBlocks/2.png");
}

div.fullBox.third {
  background-image: url("../img/homeBlocks/3.png");
}

button.neon {
  background: black;
  color: white;
  font-size: 16px;
  border: transparent solid 1px;
  padding: 5px;
  outline: none;
  user-select: none;
  position: relative;
  overflow: hidden;
  transition: 0.2s;
  border-radius: 0px;
}

button.neon:hover {
  box-shadow: 0 0 12px 5px #ff0040, 0 0 4px 2px #ff0040;
  border-color: #ff87a5;
  transition: 0.2s;
  transition-delay: 1s;
  background: #f2003d;
  color: black;
}

button.neon span {
  position: absolute;
  display: block;
}

button.neon span:nth-child(1) {
  top: 0;
  left: -100%;
  width: 100%;
  height: 1px;
  background: linear-gradient(90deg, transparent, white);
}

button.neon:hover span:nth-child(1) {
  left: 100%;
  transition: 1s;
}

button.neon span:nth-child(2) {
  bottom: 0;
  right: -100%;
  width: 100%;
  height: 1px;
  background: linear-gradient(270deg, transparent, white);
}

button.neon:hover span:nth-child(2) {
  right: 100%;
  transition: 1s;
  transition-delay: 0.5s;
}

button.neon span:nth-child(3) {
  top: -100%;
  right: 0;
  width: 1px;
  height: 100%;
  background: linear-gradient(180deg, transparent, white);
}

button.neon:hover span:nth-child(3) {
  top: 100%;
  transition: 1s;
  transition-delay: 0.25s;
}

button.neon span:nth-child(4) {
  bottom: -100%;
  left: 0;
  width: 1px;
  height: 100%;
  background: linear-gradient(0deg, transparent, white);
}

button.neon:hover span:nth-child(4) {
  bottom: 100%;
  transition: 1s;
  transition-delay: 0.75s;
}

button.neon:active {
  box-shadow: 0 0 8px 5px #b5002d;
  border-color: #ff0040;
  transition: 0.2s;
}

div.buttonContainer {
  display: flex;
  justify-content: center;
}

img.prikol {
  object-fit: contain;
  position: fixed;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
}

div.artCards {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

div.artCards div {
  display: flex;
  flex-direction: column;
  width: 300px;
  margin: 10px;
}

div.artCards div img {
  object-fit: cover;
}

div.artCards div div {
  margin: 0;
}

div.artCards div p {
  margin: 2px 0;
  font-size: 16px;
}

div.artCards div p:first-child {
  font-size: 24px;
  text-align: center;
  font-family: serif;
}

div.artCards div img {
  height: 400px;
}
#musicButton {
  background: rgba(0, 0, 0, 0.75);
  padding: 7.5px 10px;
  /* height: 50px; */
  border-radius: 50px;
  outline: none;
  color: white;
  border: 1px solid white;
  font-size: 15px;
  margin: 10px;
  transition-duration: 0.1s;
  position: fixed;
  left: 50vw;
  top: 50vh;
  transform: translate(-50%, -50%);
}

#musicButton:active {
  background: rgba(255, 255, 255, 1);
  color: black;
}

.bday p,
.bday img {
  opacity: 0;
  display: none;
}

.bday p.show,
.bday img.show {
  animation: 4s ease-in-out forwards fade;
}

#musicButton.hide {
  animation: 1s ease-in-out backwards reverse fade;
}

@keyframes fade {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}
